
* This do file uses the data set created by JPEdataPG.do (which is called JPEfinal.dta)
* and runs all regressions for FINAL VERSION of the Compassion paper for JPE.

log using c:\glewwe\Compassion\JPEreg_public.log, text replace

use c:\glewwe\Compassion\JPEfinal_1-22-2013, clear



/* Figures that are in the paper */

*Figure 1
*participation in treated households by aci
 foreach j of numlist 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18  {
          sum csp if treatedhh==1 & aci==`j'
        }

*Figure 2A--means are obtained and processed in Excel using the following commands:
 foreach j of numlist 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18  {
          sum totyrsedu if treatedhh==1 & aci==`j'
        }
 foreach j of numlist 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18  {
          sum totyrsedu if treatedhh==0 & progvillage==1 & aci==`j'
        }

*Figure 2B--means are obtained and processed in Excel using the following commands:
 foreach j of numlist 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18  {
          sum completed_sec if treatedhh==1 & aci==`j'
        }
 foreach j of numlist 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18  {
          sum completed_sec if treatedhh==0 & progvillage==1 & aci==`j'
        }


/* Tables that are in the paper */

*Table 3A with means and std. dev. for variables by country

 foreach j of numlist 1 2 3 4 5 6  {
          sum csp if country==`j'
        }
sum csp

 foreach j of numlist 1 2 3 4 5 6  {
          sum csp_years if csp==1 & csp_years~=0 & country==`j'
        }
sum csp_years if csp==1 & csp_years~=0

 foreach j of numlist 1 2 3 4 5 6  {
          sum totyrsedu if country==`j'
        }
sum totyrsedu

 foreach j of numlist 1 2 3 4 5 6  {
          sum completed_prim if country==`j'
        }
sum completed_prim

  foreach j of numlist 1 2 3 4 5 6  {
          sum completed_sec if country==`j'
        }
sum completed_sec
	
  foreach j of numlist 1 2 3 4 5 6  {
          sum completed_uni if country==`j'
        }
sum completed_uni

 foreach j of numlist 1 2 3 4 5 6  {
          sum age if country==`j'
        }
sum age

  foreach j of numlist 1 2 3 4 5 6  {
          sum sex if country==`j'
        }
sum sex
	
 foreach j of numlist 1 2 3 4 5 6  {
          sum numsibs if country==`j'
        }
sum numsibs

  foreach j of numlist 1 2 3 4 5 6  {
          sum mom_highestedu if country==`j'
        }
sum mom_highestedu

  foreach j of numlist 1 2 3 4 5 6  {
          sum dad_highestedu if country==`j'
        }
sum dad_highestedu


*Table 3B, differences in means between treated and untreated

sum totyrsedu if csp==1
sum totyrsedu if csp==0
sum totyrsedu if csp==0 & treatedhh==1
ttest totyrsedu, by(csp)
ttest totyrsedu if treatedhh==1, by(csp)

sum completed_prim if csp==1
sum completed_prim if csp==0
sum completed_prim if csp==0 & treatedhh==1
ttest completed_prim, by(csp)
ttest completed_prim if treatedhh==1, by(csp)

sum completed_sec if csp==1
sum completed_sec if csp==0
sum completed_sec if csp==0 & treatedhh==1
ttest completed_sec, by(csp)
ttest completed_sec if treatedhh==1, by(csp)

sum completed_uni if csp==1
sum completed_uni if csp==0
sum completed_uni if csp==0 & treatedhh==1
ttest completed_uni, by(csp)
ttest completed_uni if treatedhh==1, by(csp)


*Table A.1: differences in means between treated and untreated for employment and leadership

sum employed if csp==1
sum employed if csp==0
sum employed if csp==0 & treatedhh==1
ttest employed, by(csp)
ttest employed if treatedhh==1, by(csp)

sum whitecollar if csp==1
sum whitecollar if csp==0
sum whitecollar if csp==0 & treatedhh==1
ttest whitecollar, by(csp)
ttest whitecollar if treatedhh==1, by(csp)

sum leader_com if csp==1
sum leader_com if csp==0
sum leader_com if csp==0 & treatedhh==1
ttest leader_com, by(csp)
ttest leader_com if treatedhh==1, by(csp)

sum leader_church if csp==1
sum leader_church if csp==0
sum leader_church if csp==0 & treatedhh==1
ttest leader_church, by(csp)
ttest leader_church if treatedhh==1, by(csp)



/* Now go to regressions that are actually in the final version of the paper */


* Four education outcomes, two employment + two leadership variables, OLS and IV-GMM

* Following are for column 1 of Tables 4A, 4B, 4C and 4D


*erase h:\ace\compassion\edvarsOLS.rtf
*erase h:\ace\compassion\edvarsOLS.txt
foreach j in totyrsedu completed_prim completed_sec completed_uni {
   reg `j' D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage  momedmissing  dadedmissing , cluster(village_id)
   *outreg2 using h:\ace\compassion\edvarsOLS, word /* will need some cut & paste */
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
   test D1aci1316=D2aci1316=D3aci1316 
   test D1aci12minus=D2aci12minus=D3aci12minus
   test (D1aci1316=D2aci1316=D3aci1316) (D1aci12minus=D2aci12minus=D3aci12minus)
}


* Following are for column 1 of Tables A.2, A.3, A.5 and A.6


*erase h:\ace\compassion\othvarsOLS.rtf
*erase h:\ace\compassion\othvarsOLS.txt
foreach j in employed whitecollar leader_comm leader_church {
   reg `j' D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage  momedmissing  dadedmissing , cluster(village_id)
   *outreg2 using h:\ace\compassion\othvarsOLS, word /* will need some cut & paste */
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
   test D1aci1316=D2aci1316=D3aci1316 
   test D1aci12minus=D2aci12minus=D3aci12minus
   test (D1aci1316=D2aci1316=D3aci1316) (D1aci12minus=D2aci12minus=D3aci12minus)
}




* To get household fixed effects estimates, do differencing for all variables
*  (Not doing outreg yet until this works)

*gen double new_hh_id=village_id*10000 + hh_id /* need this so hh id's within vill. id's*/

*drop mn* validobs

gen validobs=1 if (totyrsedu~=. & sex~=. & numsibs~=.)
su validobs

foreach j in totyrsedu completed_prim completed_sec completed_uni /*
            */ employed whitecollar leader_comm leader_church /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   gen d`j'=`j' - mn`j'
   }


* Following are for column 3 of Tables 4A, 4B, 4C and 4D


*erase h:\ace\compassion\edvarsFE.rtf
*erase h:\ace\compassion\edvarsFE.txt
foreach j in dtotyrsedu dcompleted_prim dcompleted_sec dcompleted_uni {
   reg `j' dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
             */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
             */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)
   *outreg2 using h:\ace\compassion\edvarsFE, word /* will need some cut & paste */
   lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
   lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
   lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
   test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
   test dD1aci1316=dD2aci1316=dD3aci1316 
   test dD1aci12minus=dD2aci12minus=dD3aci12minus
   test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)
}

* Compare this to std xtreg for toyrsedu & completed sec (very, very close, but not exact)

xtset new_hh_id
xtreg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
             */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
             */ treatedhh progvillage momedmissing dadedmissing, fe vce(cluster village_id)
lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316

xtreg completed_sec D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
             */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
             */ treatedhh progvillage momedmissing dadedmissing, fe vce(cluster village_id)
lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316


*erase h:\ace\compassion\othvarsFE.rtf
*erase h:\ace\compassion\othvarsFE.txt

drop mn* validobs
gen validobs=1 if (employed~=. & sex~=. & numsibs~=.)
su validobs

foreach j in employed /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }


* Following is for column 3 of Table A.2.


reg demployed dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
       */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsFE, word /* will need some cut & paste */
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)

drop mn* validobs
gen validobs=1 if (whitecollar~=. & sex~=. & numsibs~=.)
su validobs

foreach j in whitecollar /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }


* Following is for column 3 of Table A.3.


reg dwhitecollar dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
       */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsFE, word /* will need some cut & paste */
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


drop mn* validobs
gen validobs=1 if (leader_comm~=. & sex~=. & numsibs~=.)
su validobs

foreach j in leader_comm /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }


* Following is for column 3 of Table A.5.


reg dleader_comm dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
       */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsFE, word /* will need some cut & paste */
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


drop mn* validobs
gen validobs=1 if (leader_church~=. & sex~=. & numsibs~=.)
su validobs

foreach j in leader_church /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

* Following is for column 3 of Table A.6.


reg dleader_church dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
       */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsFE, word /* will need some cut & paste */
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)





reg D1aci12minusxT iv4* if totyrsedu~=. & sex~=. & numsibs~=., cluster(village_id) /* weak IV F-test */

* Note: Cannot reject (at 5% level) assumption that boy & girl coefficients are equal

test (iv4cspaci4minus1boy=iv4cspaci4minus1girl) (iv4cspaci5to81boy=iv4cspaci5to81girl) /*
 */ (iv4cspaci9to121boy=iv4cspaci9to121girl) (iv4cspaci4minus2boy=iv4cspaci4minus2girl) /*
 */ (iv4cspaci5to82boy=iv4cspaci5to82girl) (iv4cspaci9to122boy=iv4cspaci9to122girl) /*
 */ (iv4cspaci4minus3minusboy=iv4cspaci4minus3minusgirl) /*
 */ (iv4cspaci5to83minusboy=iv4cspaci5to83minusgirl) (iv4cspaci9to123minusboy=iv4cspaci9to123minusgirl)


* weak IV F-test
reg D1aci12minusxT iv3* if totyrsedu~=. & sex~=. & numsibs~=., cluster(village_id) 


* Following are for column 2 of Tables 4A, 4B, 4C and 4D


*erase h:\ace\compassion\edvarsIV1.rtf
*erase h:\ace\compassion\edvarsIV1.txt
foreach j in  totyrsedu completed_prim completed_sec completed_uni{
   ivregress gmm `j' (D1aci12minusxT = iv3*) D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage momedmissing dadedmissing, cluster(village_id)
   *outreg2 using h:\ace\compassion\edvarsIV1, word /* will need some cut & paste */
   estat overid
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
   test D1aci1316=D2aci1316=D3aci1316 
   test D1aci12minus=D2aci12minus=D3aci12minus
   test (D1aci1316=D2aci1316=D3aci1316) (D1aci12minus=D2aci12minus=D3aci12minus)

   /* Following lines test for endogeneity of D1aci12minusxT (control function method) */
   quietly reg D1aci12minusxT iv3* D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage momedmissing dadedmissing, cluster(village_id)
   predict resid, r
   reg `j' D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex /*
                 */ numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
                 */ progvillage momedmissing dadedmissing resid, cluster(village_id)
   drop resid
}


* Following are for column 2 of Tables A.2, A.3, A.5 and A.6


*erase h:\ace\compassion\othvarsIV1.rtf
*erase h:\ace\compassion\othvarsIV1.txt
foreach j in employed whitecollar leader_comm leader_church {
   reg D1aci12minusxT iv3* if `j'~=. & sex~=. & numsibs~=., cluster(village_id) /* weak IV F-test */
   ivregress gmm `j' (D1aci12minusxT = iv3*) D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage momedmissing dadedmissing, cluster(village_id)
   *outreg2 using h:\ace\compassion\othvarsIV1, word /* will need some cut & paste */
   estat overid
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
   test D1aci1316=D2aci1316=D3aci1316 
   test D1aci12minus=D2aci12minus=D3aci12minus
   test (D1aci1316=D2aci1316=D3aci1316) (D1aci12minus=D2aci12minus=D3aci12minus)
   /* Following lines test for endogeneity of D1aci12minusxT (control function method) */
   quietly reg D1aci12minusxT iv3* D1aci12minus D1aci1316 D2aci* D3aci* age /*
                 */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu /*
                 */ treatedhh progvillage momedmissing dadedmissing, cluster(village_id)
   predict resid, r
   reg `j' D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex /*
                 */ numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
                 */ progvillage momedmissing dadedmissing resid, cluster(village_id)
   drop resid
}



* Now do IV with fixed effects, first for education vars. and then for work & leadership


drop mn* validobs
gen validobs=1 if (totyrsedu~=. & sex~=. & numsibs~=. & hh_id~=.)
su validobs

foreach j in totyrsedu completed_prim completed_sec completed_uni /*
            */ employed whitecollar leader_comm leader_church /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

foreach j in iv3cspaci4minus1 iv3cspaci4minus2 iv3cspaci4minus3minus iv3cspaci5to81 /*
            */ iv3cspaci5to82 iv3cspaci5to83minus iv3cspaci9to121 iv3cspaci9to122 /* 
            */ iv3cspaci9to123minus {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   gen d`j'=`j' - mn`j'
   }


* weak IV F-test
reg dD1aci12minusxT div3* if dtotyrsedu~=. & dsex~=. & dnumsibs~=., cluster(village_id) 


* Following are for column 4 of Tables 4A, 4B, 4C and 4D

      
*erase h:\ace\compassion\edvarsIVFE.rtf
*erase h:\ace\compassion\edvarsIVFE.txt
foreach j in dtotyrsedu dcompleted_prim dcompleted_sec dcompleted_uni{
   ivregress gmm `j' (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage/*
             */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
             */ dtreatedhh dprogvillage dmomedmissing ddadedmissing, cluster(village_id)
   *outreg2 using h:\ace\compassion\edvarsIVFE, word /* will need some cut & paste */
   estat overid
   lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
   lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
   lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
   test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
   test dD1aci1316=dD2aci1316=dD3aci1316 
   test dD1aci12minus=dD2aci12minus=dD3aci12minus
   test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)
   /* Following lines test for endogeneity of D1aci12minusxT (control function method) */
   quietly reg dD1aci12minusxT div3* dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage /*
              */ dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
              */ dtreatedhh dprogvillage dmomedmissing ddadedmissing, cluster(village_id)
   predict resid, r
   reg `j' dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 dsex /*
             */ dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
             */ dprogvillage dmomedmissing ddadedmissing resid, cluster(village_id)
   drop resid
}

* Note sure why no R-squared is reported for completion of univ., so get it from 2sls:

ivregress 2sls dcompleted_uni (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* /*
 */ dD3aci* dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
 */ dtreatedhh dprogvillage dmomedmissing ddadedmissing, cluster(village_id)


* Now do IV with HH FE for employment and leadership variables


*erase h:\ace\compassion\othvarsIVFE.rtf
*erase h:\ace\compassion\othvarsIVFE.txt


drop mn* validobs
gen validobs=1 if (employed~=. & sex~=. & numsibs~=.)
su validobs

foreach j in employed /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

* weak IV F-test
reg dD1aci12minusxT div3* if demployed~=. & dsex~=. & dnumsibs~=., cluster(village_id) 


* Following is for column 4 of Table A.2.


ivregress gmm demployed (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing if validobs==1, cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsIVFE, word /* will need some cut & paste */
estat overid
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


/* Following lines test for endogeneity of D1aci12minusxT (control function method) */
quietly reg dD1aci12minusxT div3* dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 /*
   */ dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
   */ dprogvillage dmomedmissing ddadedmissing if demployed~=., cluster(village_id)
predict resid, r
reg demployed dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 dsex /*
             */ dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
             */ dprogvillage dmomedmissing ddadedmissing resid, cluster(village_id)
drop resid

* To get R-squared do the same regression using 2SLS

ivregress 2sls demployed (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)


drop mn* validobs
gen validobs=1 if (whitecollar~=. & sex~=. & numsibs~=.)
su validobs


foreach j in whitecollar /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

* weak IV F-test
reg dD1aci12minusxT div3* if dwhitecollar~=. & dsex~=. & dnumsibs~=., cluster(village_id) 


* Following is for column 4 of Table A.3.


ivregress gmm dwhitecollar (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing if validobs==1, cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsIVFE, word /* will need some cut & paste */
estat overid
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


/* Following lines test for endogeneity of D1aci12minusxT (control function method) */
quietly reg dD1aci12minusxT div3* dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 /*
   */ dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
   */ dprogvillage dmomedmissing ddadedmissing if dwhitecollar~=., cluster(village_id)
predict resid, r
reg dwhitecollar dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 dsex /*
             */ dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
             */ dprogvillage dmomedmissing ddadedmissing resid, cluster(village_id)
drop resid


* To get R-squared do the same regression using 2SLS

ivregress 2sls dwhitecollar (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)


drop mn* validobs 
gen validobs=1 if (leader_comm~=. & sex~=. & numsibs~=.)
su validobs


foreach j in leader_comm /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

* weak IV F-test
reg dD1aci12minusxT div3* if dleader_comm~=. & dsex~=. & dnumsibs~=., cluster(village_id) 


* Following is for column 4 of Table A.5.


ivregress gmm dleader_comm (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing if validobs==1, cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsIVFE, word /* will need some cut & paste */
estat overid
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


/* Following lines test for endogeneity of D1aci12minusxT (control function method) */
quietly reg dD1aci12minusxT div3* dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 /*
   */ dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
   */ dprogvillage dmomedmissing ddadedmissing if dleader_comm~=., cluster(village_id)
predict resid, r
reg dleader_comm dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 dsex /*
             */ dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
             */ dprogvillage dmomedmissing ddadedmissing resid, cluster(village_id)
drop resid


* To get R-squared do the same regression using 2SLS

ivregress 2sls dleader_comm (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)



drop mn* validobs 
gen validobs=1 if (leader_church~=. & sex~=. & numsibs~=.)
su validobs


foreach j in leader_church /*
            */ D1aci12minusxT D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus /*
            */ D3aci1316 age age2 sex numsibs birthorder oldest mom_highestedu /*
            */ dad_highestedu treatedhh progvillage momedmissing dadedmissing {
   bysort new_hh_id: egen mn`j'=mean(`j'*validobs)
   replace d`j'=`j' - mn`j'
   }

* weak IV F-test
reg dD1aci12minusxT div3* if dleader_church~=. & dsex~=. & dnumsibs~=., cluster(village_id) 


* Following is for column 4 of Table A.6.



ivregress gmm dleader_church (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing if validobs==1, cluster(village_id)
*outreg2 using h:\ace\compassion\othvarsIVFE, word /* will need some cut & paste */
estat overid
lincom (dD1aci12minus-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* within household */
lincom (dD2aci12minus-dD2aci1316) - (dD3aci12minus-dD3aci1316) /* within village */
lincom ((dD1aci12minus+dD1aci12minusxT)-dD1aci1316) - (dD3aci12minus-dD3aci1316) /* treatment effect w/ spillovers */
test dD1aci12minus dD1aci1316 dD2aci12minus dD2aci1316 dD3aci12minus dD3aci1316
test dD1aci1316=dD2aci1316=dD3aci1316 
test dD1aci12minus=dD2aci12minus=dD3aci12minus
test (dD1aci1316=dD2aci1316=dD3aci1316) (dD1aci12minus=dD2aci12minus=dD3aci12minus)


/* Following lines test for endogeneity of D1aci12minusxT (control function method) */
quietly reg dD1aci12minusxT div3* dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 /*
   */ dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
   */ dprogvillage dmomedmissing ddadedmissing if dleader_church~=., cluster(village_id)
predict resid, r
reg dleader_church dD1aci12minusxT dD1aci12minus dD1aci1316 dD2aci* dD3aci* dage dage2 dsex /*
             */ dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu dtreatedhh /*
             */ dprogvillage dmomedmissing ddadedmissing resid, cluster(village_id)
drop resid


* To get R-squared do the same regression using 2SLS

ivregress 2sls demployed (dD1aci12minusxT=div3*) dD1aci12minus dD1aci1316 dD2aci* dD3aci* /*
       */ dage dage2 dsex dnumsibs dbirthorder doldest dmom_highestedu ddad_highestedu /*
        */ dtreatedhh dprogvillage dmomedmissing ddadedmissing , cluster(village_id)



* Following is for Table 5



* Last, estimate all 4 education variables, by country, OLS then IV.

foreach j of numlist 1 2 3 4 5 6  {
   reg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   reg completed_prim D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   reg completed_sec D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   reg completed_uni D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


xtset new_hh_id

foreach j of numlist 1 2 3 4 5 6  {
   xtreg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   xtreg completed_prim D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   xtreg completed_sec D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


foreach j of numlist 1 2 3 4 5 6  {
   xtreg completed_uni D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j', fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}


* Following is for Table 6.



* Very last, total years of schooling (OLS then HH FE), by country, first boys then girls.

foreach j of numlist 1 2 3 4 5 6  {
   reg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j' & sex==1, cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}

foreach j of numlist 1 2 3 4 5 6  {
   reg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j' & sex==0, cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}

xtset new_hh_id

foreach j of numlist 1 2 3 4 5 6  {
   xtreg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j' & sex==1, fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}

foreach j of numlist 1 2 3 4 5 6  {
   xtreg totyrsedu D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age /*
          */ age2 sex numsibs birthorder oldest mom_highestedu dad_highestedu treatedhh /*
          */ progvillage momedmissing dadedmissing if country==`j' & sex==0, fe cluster(village_id)
   lincom (D1aci12minus-D1aci1316) - (D3aci12minus-D3aci1316) /* within household */
   lincom (D2aci12minus-D2aci1316) - (D3aci12minus-D3aci1316) /* within village */
   lincom ((D1aci12minus+D1aci12minusxT)-D1aci1316) - (D3aci12minus-D3aci1316) /* treatment effect w/ spillovers */
   test D1aci12minus D1aci1316 D2aci12minus D2aci1316 D3aci12minus D3aci1316
}

/*Table A.4: Impacts on Vocation--How does Compassion affect occupational choice? Report marginal effects, 
           mfx only with SEs, Vocations 1-14 in rows x six countries + full sample in columns*/

tab wherework if csp==0
mlogit wherework csp treatedhh sex age age2 oldest birthorder, vce(cluster village_id)
foreach j in 1 2 3 4 5 6 7 8 9 10 11 12 13 14{
mfx, predict(outcome(`j')) varlist(csp)
}


/* Table A.7: Employment and Leadership Estimates by Country*/

reg employed D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
   */ numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing dadedmissing /*
   */ if country==1, cluster(village_id) 
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        reg employed D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
          */ oldest numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing /*
          */ dadedmissing if country==`j', cluster(village_id) 
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  

reg whitecollar D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing dadedmissing /*
    */ if country==1, cluster(village_id) 
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        reg whitecollar D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
          */ oldest numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing /*
          */ dadedmissing if country==`j', cluster(village_id)	
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  

reg leader_com D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing dadedmissing /*
    */ if country==1, cluster(village_id) 
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        reg leader_com D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
          */ oldest numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing /*
          */ dadedmissing if country==`j', cluster(village_id)
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  

reg leader_church D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
   */ numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing dadedmissing /*
   */ if country==1, cluster(village_id) 
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        reg leader_church D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
          */ oldest numsibs oldest mom_highestedu dad_highestedu treatedhh progvillage momedmissing /*
          */ dadedmissing if country==`j', cluster(village_id)	
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  

*Fixed-effect estimates
xtreg employed D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ if country==1, fe i(hh_id) cluster(village_id) nonest
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        xtreg employed D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
              */ oldest if country==`j', fe i(hh_id) cluster(village_id) nonest
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  
xtreg whitecollar D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ if country==1, fe i(hh_id) cluster(village_id) nonest
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        xtreg whitecollar D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
            */ oldest if country==`j', fe i(hh_id) cluster(village_id) nonest
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  
xtreg leader_com D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ if country==1, fe i(hh_id) cluster(village_id) nonest		
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        xtreg leader_com D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
            */ oldest if country==`j', fe i(hh_id) cluster(village_id) nonest
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  
xtreg leader_church D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder oldest /*
    */ if country==1, fe i(hh_id) cluster(village_id) nonest		
*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word replace
        foreach j in 2 3 4 5 6    {
        xtreg leader_church D1aci12minusxT D1aci12minus D1aci1316 D2aci* D3aci* age age2 sex birthorder /*
            */ oldest if country==`j', fe i(hh_id) cluster(village_id) nonest	
		*outreg2 using hhfe10-6-12a, se bdec(3) rdec(3)word append
}  

log close

